
#ifndef QRCODEENCODEDLL_H
#define	QRCODEENCODEDLL_H


#include "stdafx.h"

#define ENC_ALPHA		0;
#define ENC_BYTE		1;
#define ENC_NUMERIC		2;
#define ENC_CHINESE		3;
#define ENC_AUTO		4;

#define FNC1_MODE_NO		0;
#define FNC1_MODE_FIRST		1;
#define FNC1_MODE_SECOND	2;

#define CORRECTION_LEVEL_L  0;
#define CORRECTION_LEVEL_M  1;
#define CORRECTION_LEVEL_Q  2;
#define CORRECTION_LEVEL_H  3;

#define MICROQR_VER_M1    0;
#define MICROQR_VER_M2    1;
#define MICROQR_VER_M3    2;
#define MICROQR_VER_M4    3;


typedef struct tagQRCODECONTEXT
{
	int		nVersion;
	int		nCorrectionLevel;
	int		nEncodeMode;
	int		nEci;
	int		nFnc1Mode;
	int		nStructuredAppendIndex; 
	int		nStructuredAppendCounter;
	int		nApplicationIndicator;
	bool	bStructuredAppend;
	bool	bProcessTilde;
	bool	bAutoConfigurate;
	char	cData[7100];				// _$3342ַб;
	int     nSize;
	BYTE	nMargin;
	BYTE	nPixelSize;
	COLORREF clBackGround;
	COLORREF clForeGround;
} QRCODECONTEXT,*LPQRCODECONTEXT;


void __stdcall InitWorkSpace(QRCODECONTEXT *pQRCodeCtx);
HBITMAP __stdcall QRCodeEncode2Bitmap(QRCODECONTEXT *pQRCodeCtx);
BOOL __stdcall QRCodeEncode2File(QRCODECONTEXT *pQRCodeCtx,LPCTSTR pImageFile);
BOOL __stdcall FreeWorkSpace();
BOOL __stdcall Encode2File(char *pData, int nCorrectionLevel,int nMargin, int nPixelSize,LPCTSTR pImageFile);
HBITMAP __stdcall MicroQRCodeEncode2Bitmap(QRCODECONTEXT *pQRCodeCtx);
BOOL __stdcall MicroQRCodeEncode2File(QRCODECONTEXT *pQRCodeCtx,LPCTSTR pImageFile);
BOOL __stdcall QRCodeRegister(char *pMailBox,char *pRegCode);


#endif	/*QRCODEENCODEDLL_H*/
